{% block i18n_widget %}
  {{ form_errors(form) }}
  <div class="i18n tabbable">
    <ul class="i18nLocales nav nav-tabs{% if form|length <= 1 %} d-none{% endif %}">
      {% for translationsFields in form %}
        {% set locale = translationsFields.vars.name %}

        <li {% if app.request.locale == locale %}class="active"{% endif %}>
          <a href="#{{ translationsFields.vars.id }}_i18n-fields" data-toggle="tab">
            {{ translationsFields.vars.label|default(locale|humanize)|trans }}
            {% if form.vars.default_locale == locale %}{{ form.vars.default_label|default('[Default]')|trans }}{% endif %}
            {% if translationsFields.vars.required %}*{% endif %}
          </a>
        </li>
      {% endfor %}
    </ul>

    <div class="i18nFields tab-content">
      {% for translationsFields in form %}
        {% set locale = translationsFields.vars.name %}

        <div id="{{ translationsFields.vars.id }}_i18n-fields"
             class="tab-pane {% if app.request.locale == locale %}active{% endif %} {% if not form.vars.valid %}sonata-ba-field-error{% endif %}">
          {{ form_errors(translationsFields) }}
          {{ form_widget(translationsFields) }}
        </div>
      {% endfor %}
    </div>
  </div>
{% endblock %}

{% block i18nForms_widget %}
  {{ block('i18n_widget') }}
{% endblock %}

{% block i18n_text_row %}
  <div class="form-group">
    {% set locale_form = attribute(form.children, locale) %}
    <label class="m-0 {% if locale_form.vars.required %}required{% endif %}">{{ locale_form.vars.label|trans }}</label>
    {#{ form_label(form) }#}
    {{ form_errors(form) }}
    <ul class="nav nav-tabs{% if form|length <= 1 %} d-none{% endif %}">
      {% for locale,child in form %}
        <li role="presentation" class="nav-item">
          <a class="nav-link {{ locale == app.request.locale?"active":"" }}" aria-controls="trans-field-{{ form.vars.name }}-{{ locale }}" role="tab" data-toggle="tab"
             href="#trans-field-{{ form.vars.name }}-{{ locale }}">{{ child.vars.name|trans|capitalize }}</a>
        </li>
      {% endfor %}
    </ul>

    <!-- Tab panes -->
    <div class="tab-content mt-1 pb-3">
      {% for locale,child in form %}
        <div role="tabpanel" class="tab-pane {{ locale == app.request.locale?"active":"" }}"
             id="trans-field-{{ form.vars.name }}-{{ locale }}">
          {{ form_widget(child, {attr: form.vars.attr}) }}
          {{ form_help(child) }}
        </div>
      {% endfor %}
    </div>
  </div>

{% endblock %}

{% block i18n_textarea_row %}
  <div class="form-group">
    {% set locale_form = attribute(form.children, locale) %}
    <label class="m-0 {% if locale_form.vars.required %}required{% endif %}">{{ locale_form.vars.label|trans }}</label>
    {#{ form_label(form) }#}
    {{ form_errors(form) }}
    <ul class="nav nav-tabs{% if form|length <= 1 %} d-none{% endif %}">
      {% for locale,child in form %}
        <li role="presentation" class="nav-item">
          <a class="nav-link {{ locale == app.request.locale?"active":"" }}" aria-controls="trans-field-{{ form.vars.name }}-{{ locale }}" role="tab" data-toggle="tab"
             href="#trans-field-{{ form.vars.name }}-{{ locale }}">{{ child.vars.name|trans|capitalize }}</a>
        </li>
      {% endfor %}
    </ul>

    <!-- Tab panes -->
    <div class="tab-content mt-1 pb-3">
      {% for locale,child in form %}
        <div role="tabpanel" class="tab-pane {{ locale == app.request.locale?"active":"" }}"
             id="trans-field-{{ form.vars.name }}-{{ locale }}">
          {{ form_widget(child) }}
        </div>
      {% endfor %}
    </div>
  </div>


{% endblock %}

{% block i18n_json_row %}
  <div class="form-group">
    {% set locale_form = attribute(form.children, locale) %}
    <label>{{ locale_form.vars.label|trans }}</label>
    {#{ form_label(form) }#}
    {{ form_errors(form) }}
    <ul class="nav nav-tabs{% if form|length <= 1 %} d-none{% endif %}">
      {% for locale,child in form %}
        <li role="presentation" class="nav-item">
          <a class="nav-link {{ locale == app.request.locale?"active":"" }}" aria-controls="trans-field-{{ form.vars.name }}-{{ locale }}" role="tab" data-toggle="tab"
             href="#trans-field-{{ form.vars.name }}-{{ locale }}">{{ child.vars.name|trans|capitalize }}</a>
        </li>
      {% endfor %}
    </ul>

    <!-- Tab panes -->
    <div class="tab-content mt-1 pb-3">
      {% for locale,child in form %}
        <div role="tabpanel" class="tab-pane {{ locale == app.request.locale?"active":"" }}"
             id="trans-field-{{ form.vars.name }}-{{ locale }}">
          {{ form_widget(child) }}
        </div>
      {% endfor %}
    </div>
  </div>


{% endblock %}
